<?php

namespace Bydedi\Cache;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

class CacheServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $loader = new YamlFileLoader($this->serviceContainer, new FileLocator(__DIR__));
        $loader->load('config/services.yml');
    }
}
