<?php

namespace Bydedi\Http;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

class HttpServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $loader = new YamlFileLoader($this->serviceContainer, new FileLocator(__DIR__));
        $loader->load('config/services.yml');


        /*$this->serviceContainer->register('request_stack', 'Symfony\Component\HttpFoundation\RequestStack');

        $this->serviceContainer->register('app', 'Bydedi\Http\Application')
            ->setArguments([new Reference('event.dispatcher'), new Reference('request_stack')])
            ->addMethodCall('setContainer', [new Reference('service_container')]);*/

        /*$this->serviceContainer->register('http.router_subscriber', 'Bydedi\Http\EventListener\RouterListener')
            ->addArgument(new Reference('router'))
            ->addTag('app.event_subscriber');*/

        // plugin for template
        /*$this->serviceContainer->register('template.plugins.render', 'Bydedi\Http\TemplatePlugin\RenderPlugin')
            ->addArgument(new Reference('service_container'))
            ->addTag('app.template_plugin');*/

        /*$this->serviceContainer->register('template.plugins.flash_message', 'Bydedi\Http\TemplatePlugin\FlashMessagePlugin')
            ->addArgument(new Reference('request_stack'))
            ->addTag('app.template_plugin');*/
    }
}
